> For the complete documentation index, see [llms.txt](https://docs.simplestore.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.simplestore.io/concepts/inventory.md).

# Inventory

Optionally SimpleStore supports the tracking of product inventory.

### Portal View

![](/files/-M3ur_g8fXpD-OCpKtvE)

The following elements can be specified for management of inventory:

### Inventory Properties

{% tabs %}
{% tab title="Attributes" %}

| Element           | Description                                                                                                         |
| ----------------- | ------------------------------------------------------------------------------------------------------------------- |
| sku               | Stock-keeping unit of product                                                                                       |
| availableQuantity | How many available in stock                                                                                         |
| minActiveQuantity | If AvailableQuantity is below this value then the Product will not longer will be available (Status = Out Of Stock) |
| grossWeight       | Gross weight of the product                                                                                         |
| trackInventory    | Enable tracking of inventory (true\|false)                                                                          |
| {% endtab %}      |                                                                                                                     |

{% tab title="Sample Object" %}

```
{
    "sku":	"string"
    "availableQuantity":		number($double)
    "minActiveQuantity":		number($double)
    "grossWeight":		number($double)
    "trackInventory":		boolean
}
```

{% endtab %}
{% endtabs %}

|   |
| - |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.simplestore.io/concepts/inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
